summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-05-04 15:48:45 +0200
committerMichał Górny <mgorny@gentoo.org>2021-05-04 15:58:57 +0200
commit4e461678b7a7824aec313427aa004aecc34be592 (patch)
tree75b5b6f3cd50a35935597c0bb396732d0a1c4d99
parentdev-python/mongoengine: Bump to 0.23.1 (diff)
downloadgentoo-4e461678b7a7824aec313427aa004aecc34be592.tar.gz
gentoo-4e461678b7a7824aec313427aa004aecc34be592.tar.bz2
gentoo-4e461678b7a7824aec313427aa004aecc34be592.zip
dev-python/watchdog: Bump to 2.1.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/watchdog/Manifest1
-rw-r--r--dev-python/watchdog/watchdog-2.1.0.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/watchdog/Manifest b/dev-python/watchdog/Manifest
index c67d748f4a7..80f3d0a975e 100644
--- a/dev-python/watchdog/Manifest
+++ b/dev-python/watchdog/Manifest
@@ -1,3 +1,4 @@
DIST watchdog-1.0.2.tar.gz 91796 BLAKE2B 001cbe82ff8aff0c4e56e4d1f02519047580cccb48466566ad7c9c1f462f90a9a036cf90846eb38ec4fb24ff1df2a1ddfec20b3f0587afdc1f938ada1bb0b1ef SHA512 e87a0955ce822daabd7d030804876698f98ed2aad58486e26a94585763655302063f091b653abd385ea99642361b6253d8e051d96019b243a77b078ba86b0d6e
DIST watchdog-2.0.2.tar.gz 95452 BLAKE2B e3a071cdf1c47698cd54bbaf925c4eb7e2af7398ced73aa332e57472cba2f5ce2ce1b96a31d3f5f3a525cabf81d5de528d95d0c59148150f407abb8ebc64538e SHA512 6134ad22b350b7b2893b564c4f02bd35b1be515fa18dd7f7000b191994b5ba48c5bf573819d2f363de227481a6bb8a0a14973e7c6611de367df2a3f228656ed1
DIST watchdog-2.0.3.tar.gz 95524 BLAKE2B 568e9d66efbfa98c19dab704681dbc48f869b59d51d7c7ff7ce1fd7465efcc6233f871e7f9276f2732692645491f2fd197a639b17e9a3d8abb76d0148a934796 SHA512 e1c506e4ead8c3ee8d19e456b67623f3a1823007be6c1fad0d76c697205696183e7bd15e46c21bf61abce6dd16d267e55da8986633eeee337d10c609318fb958
+DIST watchdog-2.1.0.tar.gz 95833 BLAKE2B f11eb7961885fd0fbf8e6f888a069d77d9ff26b245bd3583e9060044c43a3356d56a334108c8c1a11735fffa779cc750bc390dd1510cf2c549ec9fe064899540 SHA512 65cc291927a61506fd2c26e05b85112e1cc0f26ca851138c62dfa34fae7958ee2b3946ffe586a9d2b7a48d59a6b5ce11c8dac276a3d78dcbeca8da011a880668
diff --git a/dev-python/watchdog/watchdog-2.1.0.ebuild b/dev-python/watchdog/watchdog-2.1.0.ebuild
new file mode 100644
index 00000000000..0b8865d4eef
--- /dev/null
+++ b/dev-python/watchdog/watchdog-2.1.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python API and shell utilities to monitor file system events"
+HOMEPAGE="https://github.com/gorakhargosh/watchdog"
+SRC_URI="https://github.com/gorakhargosh/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+
+CDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]"
+RDEPEND="${CDEPEND}
+ dev-python/argh[${PYTHON_USEDEP}]"
+DEPEND="${CDEPEND}
+ test? (
+ >=dev-python/pytest-timeout-0.3[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' setup.cfg || die
+ default
+}
+
+python_test() {
+ epytest -p no:django
+}
+
+pkg_postinst() {
+ optfeature "Bash completion" dev-python/argcomplete
+}